Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class Variable

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--ru.biosoft.access.MutableDataElementSupport
                  |
                  +--biouml.model.dynamics.Variable

public class Variable
extends MutableDataElementSupport
implements EModelRole

General variable definition.

Field Summary
`final static String` | `PREFIX`
`final static String` | `SCOPE`

Constructor Summary
`Variable(DataCollection origin, DiagramElement diagramElement, double initialValue)`
`Variable(DiagramElement diagramElement, double initialValue)`

Method Summary
`static String` | `createName(DiagramElement de)` Returns name of DataElement including all compartment names.
`String` | `getComment()`
`DiagramElement` | `getDiagramElement()`
`double` | `getInitialValue()`
`String` | `getPlotLineSpec()`
`int` | `getVariableNumber()`
`boolean` | `isShowInPlot()`
`void` | `setComment(String comment)`
`void` | `setInitialValue(double initialValue)`
`void` | `setPlotLineSpec(String plotLineSpec)`
`void` | `setShowInPlot(boolean showInPlot)`
`void` | `setVariableNumber(int variableNumber)`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Field Detail

### PREFIX

    public final static String PREFIX

### SCOPE

    public final static String SCOPE

Constructor Detail

### Variable

    public Variable(DataCollection origin, DiagramElement diagramElement, double initialValue)

### Variable

    public Variable(DiagramElement diagramElement, double initialValue)

  pending remove it. Just now it is used DynamicModelTest.

Method Detail

### createName

    public static String createName(DiagramElement de)

  Returns name of DataElement including all compartment names.

### getComment

    public String getComment()

### getDiagramElement

    public DiagramElement getDiagramElement()

### getInitialValue

    public double getInitialValue()

### getPlotLineSpec

    public String getPlotLineSpec()

### getVariableNumber

    public int getVariableNumber()

### isShowInPlot

    public boolean isShowInPlot()

### setComment

    public void setComment(String comment)

### setInitialValue

    public void setInitialValue(double initialValue)

### setPlotLineSpec

    public void setPlotLineSpec(String plotLineSpec)

### setShowInPlot

    public void setShowInPlot(boolean showInPlot)

### setVariableNumber

    public void setVariableNumber(int variableNumber)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class biouml.model.DiagramElement

to Class java.lang.String

to Class java.lang.String

  LineSpec is an argument to plotting functions, such as plot, that defines three components used to specify lines in MATLAB: Line style, Color and Marker symbol. See Matlab documentaion for more information.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM